Skip to content
Guides
API reference
stablesettings:update

Update tax region

PUT/v1/taxes/regions/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/v1/taxes/regions/string" \  -H "Content-Type: application/json" \  -d '{    "countryCode": "string",    "name": "string"  }'
{  "id": "string",  "storeId": "string",  "countryCode": "string",  "name": "string",  "serviceType": "manual",  "isActive": true,  "rates": [    {      "id": "string",      "provinceCode": null,      "provinceName": null,      "rate": 0.1,      "label": null,      "calculationType": "additive"    }  ],  "createdOn": "2019-08-24T14:15:22Z",  "updatedOn": null}